Summary:        Persistence for Perl data structures
Name:           perl-Storable
Version:        3.25
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Storable
Source0:        https://cpan.metacpan.org/authors/id/N/NW/NWCLARK/Storable-%{version}.tar.gz

BuildRequires:  coreutils gcc make perl-devel 
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(Cwd) perl(File::Copy)
BuildRequires:  perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec) >= 0.8
BuildRequires:  perl(Carp) perl(Exporter)
BuildRequires:  perl(Fcntl) perl(IO::File) perl(XSLoader)
BuildRequires:  perl(base) perl(bytes) perl(File::Temp)
BuildRequires:  perl(integer) perl(overload) perl(utf8)
BuildRequires:  perl(Test::More) perl(threads) perl(Safe)
BuildRequires:  perl(Scalar::Util) perl(Tie::Array)
BuildRequires:  perl(B::Deparse) >= 0.61 perl(Tie::Hash)
BuildRequires:  perl(Digest::MD5) perl(Hash::Util)

Requires:       perl(Fcntl) perl(IO::File) perl(Config)

%{?perl_default_filter}
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(HAS_OVERLOAD\\)
%global __requires_exclude %{__requires_exclude}|^perl\\(testlib.pl\\)

%description
The Storable package brings persistence to your Perl data structures containing scalar, 
array, hash or reference objects, i.e. anything that can be conveniently stored to disk 
and retrieved at a later time. It can be used in the regular procedural way by calling 
store with a reference to the object to store, and providing a file name. The routine 
returns undef for I/O problems or other internal error, a true value otherwise. Serious 
errors are propagated as a die exception.

%prep
%autosetup -n Storable-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
find %{buildroot} -type f -name '*.3pm' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%doc ChangeLog README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Storable*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.25-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.25-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.25-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.25-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.25-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Zhe <bessiewang@tencent.com> - 3.25-1
- initial build
